complexType "ClearingRequirements"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-clearing-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | supervisoryBody, mandatorilyClearable, reason*
</...>

Content Model Elements (3):

  mandatorilyClearable (in clearingRequirements), reason (in clearingRequirements), | supervisoryBody (in clearingRequirements)

All Direct / Indirect Based Elements (1):

  clearingRequirements

Known Usage Locations

- As direct type of elements (1):
  clearingRequirements

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ClearingRequirements"> <xsd:sequence> <xsd:element name="supervisoryBody" type="SupervisoryBody"/> <xsd:element name="mandatorilyClearable" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
mandatorilyClearable

  Type: | xsd:boolean, predefined, simple content

  Whether the particular trade type in question is required by this regulator to be cleared.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="mandatorilyClearable" type="xsd:boolean"/>

reason

  Type: | Reason, complex content

  Indicates a reason supporting why the trade is mandatorily clearable or not.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/>

supervisoryBody

  Type: | SupervisoryBody, simple content

  The regulator or other supervisory body to which the clearing requirements apply.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="supervisoryBody" type="SupervisoryBody"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.